On this page
No Headings
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwritehttps://uri.paypal.com/services/invoicing/internalThe ID of the recurring series to be updated.
^(RI-)[A-Z0-9]+$20 <= length <= 20Holds authorization information for external API calls.
^.*$1 <= length <= 16000application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api-m.sandbox.paypal.com/v2/invoicing/recurring-invoices/RI-5VG36420NF0175035" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "Content-Type: application/json" \ -d '{ "plan_detail": { "total_cycles": 8, "frequency": { "interval_unit": "MONTH", "interval_count": 2 }, "start_series_date": "2026-01-19" }, "recurring_info": { "detail": { "reference": "0002", "currency_code": "USD", "note": "Thank you", "terms_and_conditions": "Your terms and conditions", "memo": "Gift pack", "category_code": "SHIPPABLE", "payment_term": { "term_type": "DUE_ON_RECEIPT" } }, "primary_recipients": [ { "billing_info": { "email_address": "[email protected]" } } ], "items": [ { "name": "pen", "quantity": "2", "unit_amount": { "currency_code": "USD", "value": "12.00" }, "unit_of_measure": "QUANTITY" } ], "configuration": { "tax_calculated_after_discount": true, "tax_inclusive": false, "allow_tip": true, "partial_payment": { "allow_partial_payment": true, "minimum_amount_due": { "currency_code": "USD", "value": "2.00" } } } } }'{
"id": "RI-9Y6699772R098892C",
"status": "ACTIVE",
"plan_detail": {
"total_cycles": 8,
"frequency": {
"interval_unit": "MONTH",
"interval_count": 1
},
"start_series_date": "2026-01-19",
"completed_cycles": 0
},
"recurring_info": {
"detail": {
"reference": "0001",
"currency_code": "USD",
"note": "Thank you",
"terms_and_conditions": "Your terms and conditions",
"memo": "Gift pack",
"category_code": "SHIPPABLE",
"payment_term": {
"term_type": "DUE_ON_RECEIPT"
}
},
"primary_recipients": [
{
"billing_info": {
"email_address": "[email protected]"
}
}
],
"items": [
{
"id": "ITEM-3LD558161T864042C",
"name": "pen",
"quantity": "1",
"unit_amount": {
"currency_code": "USD",
"value": "12.00"
},
"unit_of_measure": "QUANTITY"
}
],
"configuration": {
"tax_calculated_after_discount": true,
"tax_inclusive": false,
"allow_tip": true,
"partial_payment": {
"allow_partial_payment": true,
"minimum_amount_due": {
"currency_code": "USD",
"value": "2.00"
}
},
"template_id": "TEMP-1B23377148371954V"
},
"amount": {
"breakdown": {
"item_total": {
"currency_code": "USD",
"value": "12.00"
},
"discount": {
"invoice_discount": {
"amount": {
"currency_code": "USD",
"value": "0.00"
}
},
"item_discount": {
"currency_code": "USD",
"value": "0.00"
}
},
"tax_total": {
"currency_code": "USD",
"value": "0.00"
}
},
"currency_code": "USD",
"value": "12.00"
}
},
"metadata": {
"create_time": "2026-01-20T05:17:06Z",
"last_update_time": "2026-01-20T05:17:06Z"
},
"links": [
{
"href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-8K163274UC7208201",
"rel": "self",
"method": "GET"
},
{
"href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-8K163274UC7208201",
"rel": "delete",
"method": "DELETE"
},
{
"href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-8K163274UC7208201",
"rel": "replace",
"method": "PUT"
},
{
"href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-8K163274UC7208201/cancel",
"rel": "cancel",
"method": "POST"
},
{
"href": "https://api-m.paypal.com/v2/invoicing/recurring-invoices/RI-8K163274UC7208201/activate",
"rel": "activate",
"method": "POST"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [],
"links": []
}{
"name": "AUTHENTICATION_FAILURE",
"debug_id": "b1d1f06c7246c",
"message": "Authentication failed due to missing Authorization header, or invalid authentication credentials."
}{
"name": "NOT_AUTHORIZED",
"debug_id": "b1d1f06c7246c",
"message": "Authorization failed due to insufficient permissions."
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"debug_id": "3ea444214c04b",
"details": [
{
"field": "id",
"value": "RI-9Y6699772R09889EE",
"location": "path",
"issue": "INVALID_RESOURCE_ID",
"description": "The requested resource ID was not found."
}
],
"links": [
{
"href": "https://developer.paypal.com/docs/api/invoicing/#errors",
"method": "GET"
}
]
}{
"name": "string",
"message": "string",
"debug_id": "string",
"details": [],
"links": []
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}{
"name": "INTERNAL_SERVER_ERROR",
"debug_id": "b1d1f06c7246c",
"message": "An internal server error has occurred."
}The scheduling and recurrence configuration that defines when and how often invoices are automatically generated and sent to customers in a recurring series.
Comprehensive information about a recurring invoice series, including invoice details, participant information, line items, and amount calculations.